Logoutcustomer
curl --request POST \
--url https://api.loyalty.dog/v2/giftcards/customers/logout \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sessionToken": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({sessionToken: '<string>'})
};
fetch('https://api.loyalty.dog/v2/giftcards/customers/logout', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.loyalty.dog/v2/giftcards/customers/logout"
payload = { "sessionToken": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Gift Card Customers
Logoutcustomer
Logout Customer
Invalidate a customer’s session token in Redis.
Request Body:
sessionToken: The session token to invalidate
Status Codes:
- 200: Session invalidated (or already expired)
POST
/
v2
/
giftcards
/
customers
/
logout
Logoutcustomer
curl --request POST \
--url https://api.loyalty.dog/v2/giftcards/customers/logout \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sessionToken": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({sessionToken: '<string>'})
};
fetch('https://api.loyalty.dog/v2/giftcards/customers/logout', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.loyalty.dog/v2/giftcards/customers/logout"
payload = { "sessionToken": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
JWT access token obtained from POST /v2/token.
Headers
Body
application/json
Request to logout (invalidate a session).
Session token to invalidate
Required string length:
1 - 128